{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <link rel="stylesheet" href="{% static 'blog/main.css' %}">

    <link rel="stylesheet" href="{% static 'blog/choices.css' %}">

    <link href="https://use.fontawesome.com/releases/v5.0.8/css/all.css" rel="stylesheet">

    <style>
        .main {
            display: flex;
            position: relative;
            flex-wrap: nowrap;
        }

        #content {
            width: 65%;
        }

        #sidebar {
            width: 35%;
            height: 100%;
            right: 0;
            position: fixed;
            border-left: 1px solid #ddd;
        }

        @media screen and (max-width: 970px) {
            #content {
                width: 100%;
                margin: 0;
            }

            #sidebar {
                width: 100%;
                position: relative;
            }

            .main {
                display: flex;
                flex-wrap: wrap;
            }
        }

        i.fa-heart {
            transition: .2s;
        }

        .heart i.fa-heart {
            color: #cc0000;
            font-size: 21px;
        }
    </style>

    {% if title %}
    <title>{{ title }}</title>
    {% else %}
    <title>Blog</title>
    {% endif %}
</head>

<body>

    <header class="site-header">
        <nav class="navbar navbar-expand-md navbar-dark bg-success fixed-top">
            <div class="container">
                <a class="navbar-brand mr-4" href="{% url 'blog-home' %}">MicroTwitter</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle"
                    aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarToggle">
                    <div class="navbar-nav mr-auto">
                        <a class="nav-item nav-link" href="{% url 'blog-home' %}">Home</a>
                    </div>
                    <!-- Navbar Right Side -->
                    <div class="navbar-nav">
                        {% if user.is_authenticated %}
                        <a class="nav-item nav-link" href="{% url 'post-create' %}">New Post</a>
                        <a class="nav-item nav-link" href="{% url 'profile' %}">Profile</a>
                        <a class="nav-item nav-link" href="{% url 'logout' %}">Logout</a>
                        {% else %}
                        <a class="nav-item nav-link" href="{% url 'login' %}">Login</a>
                        <a class="nav-item nav-link" href="{% url 'register' %}">Register</a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </nav>
    </header>
    <main role="main" class="container">
        <div class="row">
            <div class="col-md-8">
                {% if messages %}
                {% for message in messages %}
                <div class="alert alert-{{message.tags}}">
                    {{message}}
                </div>
                {% endfor %}
                {% endif %}
                {% block content %}{% endblock %}
            </div>
            <div class="col-md-4">
                <div class="content-section">
                    <h3>Our Sidebar</h3>
                    <p class='text-muted'>You can put any information here you'd like.
                        <ul class="list-group">
                            <li class="list-group-item list-group-item-light">Latest Posts</li>
                            <li class="list-group-item list-group-item-light">Announcements</li>
                            <li class="list-group-item list-group-item-light">Calendars</li>
                            <li class="list-group-item list-group-item-light">etc</li>
                        </ul>
                    </p>
                </div>
            </div>
        </div>
    </main>


    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>

    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
        </script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>

    <script src="{% static 'blog/choices.min.js' %}"></script>
    <script type="text/javascript">
        var secondElement = new Choices('#id_tag', { allowSearch: false });
    </script>
    <script>
        $(document).ready(function () {
            function updateText(btn, newCount, verb) {
                btn.attr("data-likes", newCount)
                btn.text(newCount + "  " + verb)
            }
            $(".like-button").click(function (e) {
                e.preventDefault()
                var this_ = $(this)
                var likeUrl = this_.attr("data-href")
                var likeCount = parseInt(this_.attr("data-likes")) | 0
                var addLike = likeCount + 1
                var removeLike = likeCount
                if (likeUrl) {
                    $.ajax({
                        url: likeUrl,
                        method: "GET",
                        data: {},
                        success: function (data) {
                            console.log(data)
                            var newLikes;
                            if (data.liked) {
                                // add one like
                                updateText($(".like-btn"), addLike, "Like")
                                this_.toggleClass("heart");
                            } else {
                                // remove one like
                                updateText($(".like-btn"), removeLike, "Unlike")
                                this_.removeClass("heart");
                            }
                        },
                        error: function (error) {
                            console.log(error)
                            console.log("error")
                        }
                    })

                }
            })
        })
    </script>
    <script>
        $(document).ready(function () {
            {% block jquery %} {% endblock %}
        })
    </script>

</body>

</html>